Bug 19945 - [i945gme] [uxa] corrupt gl rendering with 2.6.1
Summary: [i945gme] [uxa] corrupt gl rendering with 2.6.1
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2009-02-04 00:40 UTC by Michael Ralston
Modified: 2009-08-24 12:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot of problem (875.08 KB, image/png)
2009-02-04 00:40 UTC, Michael Ralston
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Ralston 2009-02-04 00:40:41 UTC
Created attachment 22565 [details]
Screenshot of problem

System environment:
-- chipset: i945GME
-- system architecture: i686
-- xf86-video-intel: 2.6.1 (-1ubuntu1)
-- xserver: 1.5.99.902 (1.6.0 RC 2)
-- mesa: 7.3 (-1ubuntu1)
-- libdrm: 2.4.4 (-0ubuntu4)
-- kernel version: 2.6.28
-- Linux distribution: Ubuntu jaunty
-- Machine: Asus EEE 1000H
-- Display connector: LVDS

Reproducing Steps:
With UXA enabled, Ubuntu Netbook Launcher does not render correctly as shown in screenshot. Is approx 200px north of where it should be, and is also cropped on the right. Same result with composite enabled and disabled. It renders fine with 2.4.1.

This application was written by Neil Patel, neil.patel@canonical.com.

Additional Info:
Running with LIBGL_DEBUG=verbose only shows this:
michael@desolous:~$ LIBGL_DEBUG=verbose netbook-launcher
libGL: OpenDriver: trying /usr/lib/dri/tls/i915_dri.so
libGL: OpenDriver: trying /usr/lib/dri/i915_dri.so
libGL error: 
Can't open configuration file /etc/drirc: No such file or directory.
libGL error: 
Can't open configuration file /home/michael/.drirc: No such file or directory.
Comment 1 Eric Anholt 2009-03-03 13:52:17 UTC
I'm expecting this to have been fixed by clutter commit:

commit f4df307ddd6e0c977c57aaba1b1e4adfa143c1b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 20 15:39:32 2009 +0000

    [backend] Update the viewport when updating the GL context
    
    Bug 1442 - multistage, same-window resize events invalidate stage
    
    When ensuring that the GL context is attached to the correct
    ClutterStage we need to set the SYNC_MATRICES flag on the stage
    itself. This is needed in case the size of the new stage does
    not match the size of the old -- thus requiring a call to
    glViewport() when the paint cycle starts.

Could you test clutter 0.9.0?
Comment 2 Eric Anholt 2009-03-03 13:53:44 UTC
Err, I meant:

commit 00a3c698686f25e193d0311ad25c903f0ad71e8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 9 12:06:46 2009 +0000

    [x11] Fix a race condition when resizing a stage
Comment 3 Michael Ralston 2009-03-10 03:33:28 UTC
(In reply to comment #1)
> 
> Could you test clutter 0.9.0?
> 

Netbook Launcher currently requires clutter 0.8

When it's updated I'll test it again.
Comment 4 Eric Anholt 2009-03-10 12:14:52 UTC
I'm pretty sure that commit (which would be in clutter 0.8.4) is the fix, so marking it NOTOURBUG unless you can test.
Comment 5 Michael Ralston 2009-04-04 17:39:35 UTC
This bug is no longer present on my system with Ubuntu libclutter-0.8-0 version 0.8.8-0ubuntu1.

(The fix apparently wasn't in libclutter until version 0.8.8)
Comment 6 Adam Jackson 2009-08-24 12:31:48 UTC
Mass version move, cvs -> git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.